﻿using Syncfusion.Windows.Forms.Diagram;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication16
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            Syncfusion.Windows.Forms.Diagram.Ellipse ellipse = new Syncfusion.Windows.Forms.Diagram.Ellipse(10, 10, 100, 100);
            ellipse.Name = "Ellipse";
            Syncfusion.Windows.Forms.Diagram.Rectangle rect = new Syncfusion.Windows.Forms.Diagram.Rectangle(150, 150, 100, 100);
            rect.Name = "Rectangle";
            diagram1.Model.AppendChild(ellipse);
            diagram1.Model.AppendChild(rect);

            OrgLineConnector con = new OrgLineConnector(new PointF(0, 0), new PointF(100, 100));
            ellipse.CentralPort.TryConnect(con.HeadEndPoint);
            rect.CentralPort.TryConnect(con.TailEndPoint);
            diagram1.Model.AppendChild(con);

            Syncfusion.Windows.Forms.Diagram.Rectangle rect2 = new Syncfusion.Windows.Forms.Diagram.Rectangle(300, 300, 100, 100);
            diagram1.Model.AppendChild(rect2);
            rect2.PropertyBag.Add("Rectangle", (con.FromNode as Node).Name);
            rect2.PropertyBag.Add("Ellipse", (con.ToNode as Node).Name);
            diagram1.View.SelectionList.Clear();
        }
    }
}
